### Method

# Pango.AttrList.get_attributes

#### Declaration [src]

    GSList*
    pango_attr_list_get_attributes (
      PangoAttrList* list
    )

#### Description [src]

Gets a list of all attributes in `list`.

#### Return value

Returns: A list of `PangoAttribute`
a list of all attributes in `list`. To free this value, call [mehod@Pango.Attribute.destroy] on each value and `g_slist_free()` on the list.
Ownership of the data is transferred to the caller